Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.dispatcher
Interface Dispatcher

All Known Implementing Classes:
  FreeMarkerDispatcher, GroovyDispatcher, JSPDispatcher, VelocityDispatcher, WebMacroDispatcher

public interface Dispatcher

Dispatcher

Since:
  blojsom 3.0
Version:
  $Id: Dispatcher.java,v 1.1 2006/03/20 21:31:13 czarneckid Exp $
Author:
  David Czarnecki

Method Summary
`void` | `dispatch(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Blog blog, java.util.Map context, java.lang.String flavorTemplate, java.lang.String flavorContentType)` Dispatch a request and response.
`void` | `init()` Initialization method for blojsom dispatchers

Method Detail

### init

    public void init()
              throws BlojsomException

  Initialization method for blojsom dispatchers

  Throws:
    `BlojsomException` - If there is an error initializing the dispatcher

### dispatch

    public void dispatch(javax.servlet.http.HttpServletRequest httpServletRequest,
                         javax.servlet.http.HttpServletResponse httpServletResponse,
                         Blog blog,
                         java.util.Map context,
                         java.lang.String flavorTemplate,
                         java.lang.String flavorContentType)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Dispatch a request and response. A context map is provided for the BlojsomServlet to pass any required information for use by the dispatcher. The dispatcher is also provided with the template for the requested flavor along with the content type for the specific flavor.

  Parameters:
    `httpServletRequest` - Request
    `httpServletResponse` - Response
    `blog` - `Blog`
    `context` - Context map
    `flavorTemplate` - Template to dispatch to for the requested flavor
    `flavorContentType` - Content type for the requested flavor
  Throws:
    `java.io.IOException` - If there is an exception during IO
    `javax.servlet.ServletException` - If there is an exception in dispatching the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD